### Method

# Json Object get_string_member_with_default

since: 1.6

#### Declaration [src]

    const char*
    json_object_get_string_member_with_default (
      JsonObject* object,
      const char* member_name,
      const char* default_value
    )

#### Description [src]

Convenience function that retrieves the string value stored in `member_name` of `object`.

If `member_name` does not exist, does not contain a scalar value, or contains `null`, then `default_value` is returned instead.

Available since: 1.6

#### Parameters

`member_name`

  Type: `const char*`

  The name of the `object` member.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`default_value`

  Type: `const char*`

  The value to return if `member_name` is not valid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The string value of the object’s member, or the given default.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.